Package twisted :: Package protocols :: Module policies :: Class LimitConnectionsByPeerProtocol |
[frames | no frames]

## Class LimitConnectionsByPeerProtocol

    BaseProtocol --+
                   |
            Protocol --+
                       |
         ProtocolWrapper --+
                           |
                          LimitConnectionsByPeerProtocol

Stability: Unstable

Method Summary
| `connectionLost(self)`
Inherited from ProtocolWrapper
| ``__init__`(self, factory, wrappedProtocol)`
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Called whenever data is received.
| ``getHost`(self)`
| ``getPeer`(self)`
| ``loseConnection`(self)`
| ``registerProducer`(self, producer, streaming)`
| ``stopConsuming`(self)`
| ``unregisterProducer`(self)`
| ``write`(self, data)`
| ``writeSequence`(self, data)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
Inherited from ProtocolWrapper
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.ITr...`
`int` | `disconnecting` = 0
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Generated by Epydoc 2.0 on Sat Oct 25 00:54:56 2003 | http://epydoc.sf.net